//
//  WTDManagedObject.h
//  What ToDo
//
//  Created by Devin Coughlin on 9/10/07.
//  Copyright 2007 Objective Satisfaction. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "DCManagedObject.h"

@interface WTDManagedObject : DCManagedObject {
	NSString *_cachedUUID;
	
	NSDate *_insertionDate;
}

- (NSString *)cachedUUID;

- (NSDate *)insertionDate; //only set if we have recently been inserted: not kept in database

- (void) awakeCommon;

- (void) awakeFromFetch;


- (void) awakeFromInsert;

- (void) delete;

@end
